View Issue Details

IDProjectCategoryView StatusLast Update
0015841RunnerShadersPublic2018-10-25 15:15
ReporterneodroidAssigned ToMike Dailly 
PriorityMediumSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
PlatformWindowsOS OS Version
Product VersionPre-2.1.3 
Target Version2.2.1Fixed in Version2.2.1 
Summary0015841: Shaders: shader: uv coords. change as soon as retrieve the tangents of the model.
DescriptionHi there,

As soon as you retrieve and use the tangent attribute from a vertex in the vertex program, the texcoord0 changes.
In my case it becomes the texcoord1.

IMPORTANT: if you load a mesh with a single set of UVs this is not happening!

You can reproduce this quite easily:

1) Load a project where you're able to visualize a shader applied over a 3d model.

2) Create a simple shader where you visualize a texture (applied with proper uvs) over the model.

3) Add the a [ in_Tangent ] or [ in_Tangent0 ] attribute in the vertex shader and operate with it (doesn't matter how...).

4) Compile the shader again, notice how the texture cordinates are different now.

In order to visualize the bug, you can use the attached GMZ too.
Additional InformationOriginal helpdesk ticket: http://help.yoyogames.com/tickets/69415
TagsRunner, Shaders
1.4 Found In1.99.182
2.x Runtime Found In
2.x Runtime Verified In2.2.1.268

Activities

Peter Carr

2014-08-27 12:20

Updater  

shaderTangentError.gmz (1,634,708 bytes)

Neil Wicker

2014-08-27 13:59

Updater   ~0032206

Reproduced, assigned.

Mike Dailly

2018-10-10 16:58

Developer   ~0061743

fixed in red

attribute order was alphabetical - for some stupid reason. Now remembers order, so order it's declared, is the order of the vertex format - as designed.